Bug 1568728 - Rebase Cockpit in RHEL 7.6
Summary: Rebase Cockpit in RHEL 7.6
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cockpit
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Pitt
QA Contact: Jan Ščotka
Marie Dolezelova
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1589370
TreeView+ depends on / blocked
 
Reported: 2018-04-18 07:51 UTC by Martin Pitt
Modified: 2018-10-30 10:35 UTC (History)
6 users (show)

(edit)
_cockpit_ rebased to version 173

The _cockpit_ packages, which provide the Cockpit browser-based administration console, have been upgraded to version 173. This version provides a number of bug fixes and enhancements. Notable changes include: 

 * The menu and navigation can now work with mobile browsers.
 * *Cockpit* now supports alternate Kerberos keytabs for Cockpit's web server, which enables configuration of Single Sign-On (SSO).
 * Automatic setup of Kerberos keytab for Cockpit web server.
 * Automatic configuration of SSO with FreeIPA for *Cockpit* is possible. 
 * *Cockpit* requests FreeIPA SSL certificate for Cockpit's web server.
 * *Cockpit* shows available package updates and missing registrations on system front page.
 * A Firewall interface has been added.
 * The flow control to avoid user interface hangs and unbounded memory usage for big file downloads has been added.
 * Terminal issues in Chrome have been fixed.
 * *Cockpit* now properly localizes numbers, times, and dates.
 * Subscriptions page hang when accessing as a non-administrator user has been fixed. 
 * `Log in` is now localized properly. 
 * The check for root privilege availability has been improved to work for FreeIPA administrators as well.
Clone Of:
(edit)
Last Closed: 2018-10-30 10:34:55 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3148 None None None 2018-10-30 10:35 UTC

Description Martin Pitt 2018-04-18 07:51:26 UTC

Comment 1 Martin Pitt 2018-04-18 08:03:57 UTC
Just like in RHEL 7.5, we would like to update the Cockpit packages in RHEL 7.6 Base.

List of new features and prominent bug fixes up to the latest release 165:

 * Redesign the menu and navigation to work with mobile browsers
 * Support alternate kerberos keytabs for Cockpit's web server to be able to configure SSO
 * Show available package updates and missing registration on the System front page
 * Fix Terminal issues in Chrome
 * Properly localize numbers

Then there is some further improvements which will land very soon, way before we will actually do the rebase:

 * Add Firewall UI
 * Automatically configure single sign-on with FreeIPA for Cockpit

And very likely some more.

Comment 2 Martin Pitt 2018-04-18 08:05:14 UTC
Another thing is that the newer cockpit versions now work with PCP 4.x, and Nathan wants to do that update in RHEL 7.6 (adding him to CC). However, these changes could also be backported individually.

Comment 6 Martin Pitt 2018-08-21 11:18:54 UTC
@Marie: I made some small updates (grammatical and technical), it now looks good to me. OK for you as well?

Comment 9 Lenka Špačková 2018-09-03 12:17:09 UTC
Hi Martin,
You have changed the version to 176 but I see 173 in the RHEL 7.6.0 build:
https://errata.devel.redhat.com/advisory/34444/builds

As opposed to Extras, where 176 seems to be correct:
https://errata.devel.redhat.com/advisory/35510/builds

Do you plan to update it in RHEL base as well? 
I am leaving the original version in the doc text for now because we need it for rebuilding RHEL 7.6 Beta release notes.

Thank you very much for your cooperation.

Comment 10 Martin Pitt 2018-09-03 16:18:43 UTC
@Lenka: Another confusion between Base and Extras? *This* bug is for the packages in Base, and they remain at version 173. This matches the "Doc text" here.

I bumped the packages in *Extras* to 176, but that is bug 1610173. I didn't set a doc text there, as I thought we don't do that for Extras (The erratum does describe the changes, though).

Comment 11 Martin Pitt 2018-09-03 16:19:17 UTC
@Lenka: Sorry, forgot: I don't plan to update the packages in Base (173) again - the update is already validated, and it's well past the deadline to do that.

Comment 12 Lenka Špačková 2018-09-04 08:03:59 UTC
Hi Martin,

(In reply to Martin Pitt from comment #10)
> @Lenka: Another confusion between Base and Extras? *This* bug is for the
> packages in Base, and they remain at version 173. This matches the "Doc
> text" here.

Sorry about the confusion but you changed the version from 173 to 176 in this BZ's doc text, see above:
Martin Pitt 2018-08-31 05:06:32 EDT
Doc Text: _cockpit_ rebased to version 173 ... → _cockpit_ rebased to version 176 

And I fixed it back to 173. 

Thanks for confirming there will be no other update - I expected it since this BZ was VERIFIED but I was confused by your change in the doc text.

We'll leave the Extras BZ just in the erratum, so I guess we are all set here. Thanks again!

Comment 13 Martin Pitt 2018-09-04 08:53:39 UTC
Lenka: Did I? Sorry, thanks for fixing it back then!

Comment 14 Lenka Špačková 2018-09-04 09:18:58 UTC
No problem! Thank you!

Comment 17 errata-xmlrpc 2018-10-30 10:34:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3148


Note You need to log in before you can comment on or make changes to this bug.